class Dot
  attr_accessor :x
  attr_accessor :y
  attr_accessor :symbol
  attr_accessor :occupied

  def initialize(x:, y:, symbol:)
    if x.is_a?(Fixnum) && y.is_a?(Fixnum)
      @x = x
      @y = y
      @symbol = symbol
      @occupied = false
    else
      raise 'FATAL: x and y coordinates must given and should be number'
    end
  end

  def left
    Dot.new(x: @x - 1, y: @y, symbol:nil)
  end

  def right
    Dot.new(x: @x + 1, y: @y, symbol:nil)
  end

  def top
    Dot.new(x: @x, y: @y - 1, symbol:nil)
  end

  def below
    Dot.new(x: @x, y: @y + 1, symbol:nil)
  end

  def show
    puts @symbol
  end
end
