require_relative 'canvas'

describe Canvas do
  before do
    @canvas = Canvas.new(height:10, width:60, frame_style:'dotted')
  end

  it "should print out the figure" do
    @canvas.show
  end

  it "should draw a dot on 5x5" do
    @canvas.draw(x:1, y:1, symbol:'你')
    @canvas.draw(x:3, y:1, symbol:'好')
    @canvas.draw(x:4, y:2, symbol:'吗')
    @canvas.draw(x:6, y:3, symbol:'@')
    @canvas.draw(x:7, y:4, symbol:'@')
    @canvas.show

    expect(@canvas.occupied?(x:2, y:1)).to eq(true)
    expect(@canvas.occupied?(x:1, y:1)).to eq(false)
  end
end
