require_relative 'dot'

describe Dot do
  before do
    @dot = Dot.new(x: 5, y: 0, symbol: 'a')
  end

  it "should not create a dot with unFixnum x,y" do
    expect { @dot = Dot.new(x: 'a', y: 0, symbol: 'a') }.to raise_error
  end

  it "should get the left dot of it" do
    left_dot = Dot.new(x: 4, y: 0, symbol: nil)
    expect(@dot.left.x).to eq(left_dot.x)
    expect(@dot.left.y).to eq(left_dot.y)
  end

  it "should print out it self" do
    @dot.show
  end
end
